package com.david.oviedotourist.pojo;

import java.util.List;

/**
 * Created by David on 30/09/2016.
 */

public class Site {

    private String id;
    private String image;
    private String name;
    private String address;
    private String summary;
    private String description;
    private String source;
    private String panoramic;
    private GeoCoordinate sCoordinate;
    private List<Photo> photos;
    private SiteType type;
    private Event event;

    public Site (){
        //Empty constructor for Firebase data read
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getPanoramic() {
        return panoramic;
    }

    public void setPanoramic(String panoramic) {
        this.panoramic = panoramic;
    }

    public List<Photo> getPhotos() {
        return photos;
    }

    public void setPhotos(List<Photo> photos) {
        this.photos = photos;
    }

    public GeoCoordinate getsCoordinate() {
        return sCoordinate;
    }

    public void setsCoordinate(GeoCoordinate sCoordinate) {
        this.sCoordinate = sCoordinate;
    }

    public SiteType getType() {
        return type;
    }

    public void setType(SiteType type) {
        this.type = type;
    }

    public Event getEvent() {
        return event;
    }

    public void setEvent(Event event) {
        this.event = event;
    }

}
