package com.david.oviedotourist.pojo;

import com.david.oviedotourist.R;

/**
 * Created by David on 08/11/2016.
 */

public enum SiteType {
    CULTURE(R.string.culture, R.color.culture, R.drawable.ic_culture, R.mipmap.ic_culture),
    NATURE(R.string.nature, R.color.nature, R.drawable.ic_nature, R.mipmap.ic_nature),
    ENTERTAINMENT(R.string.entertainment, R.color.entertainment, R.drawable.ic_entertainment, R.mipmap.ic_entertainment),
    GASTRONOMY(R.string.gastronomy, R.color.gastronomy, R.drawable.ic_gastronomy, R.mipmap.ic_gastronomy);

    private final int idText;
    private final int idColor;
    private final int idIcon;
    private final int idBitmap;

    SiteType(int idText, int idColor, int idIcon, int idBitmap){
        this.idText = idText;
        this.idColor = idColor;
        this.idIcon = idIcon;
        this.idBitmap = idBitmap;
    }

    public int getIdText(){
        return idText;
    }

    public int getIdColor() {
        return idColor;
    }

    public int getIdIcon() {
        return idIcon;
    }

    public int getIdBitmap() {
        return idBitmap;
    }
}
