package com.david.oviedotourist.utilities;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.ScrollView;


/**
 * Created by David on 01/12/2016.
 */

public class MyScrollView extends ScrollView {

    /////Constructor/////

    public MyScrollView(Context context) {
        super(context);
    }

    public MyScrollView(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public MyScrollView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }

    /////MyListener interface/////

    public interface OnScrollViewListener{
        void onScrollChanged(int x, int y, int previousX, int previousY);
    }

    /////MyListener implementation/////

    private  OnScrollViewListener onScrollViewListener;

    public void setOnScrollViewListener(OnScrollViewListener onScrollViewListener) {
        this.onScrollViewListener = onScrollViewListener;
    }

    protected void onScrollChanged(int x, int y, int previousX, int previousY){
        onScrollViewListener.onScrollChanged(x, y, previousX, previousY);
        super.onScrollChanged(x,y,previousX,previousY);
    }
}
